#!/bin/sh


file=$1
galname=$2
lvmin=$3
lvmax=$4
lfmin=$5
lfmax=$6
labposy=$7
labposx=$8

echo file  $file
echo galname $galname
echo lvmin $lvmin
echo lvmax $lvmax
echo lfmin $lfmin
echo lfmax $lfmax
echo labposy $labposy
echo labposx $labposx


sm -s -q << EOF

define TeX_strings 1
device postencap galaxy.ps
data $1
read v 2
read f 3

location 5500 31000 5500 31000

erase
expand 2
lweight 6

vecminmax v vmin vmax
vecminmax f fmin fmax


limits "$lvmin" "$lvmax" "$lfmin" "$lfmax"

box
connect v f

relocate $labposx $labposy

putlabel 6 $2

xlabel v [km s^{-1}]
ylabel S_{HI} [Jy]

hardcopy
EOF

